/*
 *	WEngine by eMan
 *  WWW : www.eman.wz.cz
 *  PATH : .\SDK\WCode\App\CAppWin.h
 */

#ifndef _CAPPWIN_H
#define _CAPPWIN_H

#include "EngineH.h"
#include "CBaseWin.h"
#include "CBase.h"
#include <VECTOR>

class C_APP_WIN_0
{
private :
	std::vector<C_BASE_0*> _vBase;
	MSG _msg;
	int _iWindow;
	//**//  Funkce  //**//
	void Render();

public :
	C_APP_WIN_0();
	~C_APP_WIN_0();

public :
	void DeleteAll(){this->End();}
	bool Register(C_BASE_0 *base);
	void Loop();
	void Exit();
	C_BASE_0* GetPWnd(HWND hWnd);
	MSG End();
};


#endif _CAPPWIN_H










